Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.user
Class UserAdapter

    java.lang.Object
      de.uka.ipd.consensus.foundation.user.UserAdapter

All Implemented Interfaces:
  EventListener, UserListener

public class UserAdapter
extends Object
implements UserListener

An adapter class for receiving user events. The methods in this class are empty. This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`UserAdapter()`

Method Summary
`void` | `userCreated(UserEvent event)` Called by the UserManager when a new user account has been created
`void` | `userLoggedIn(UserEvent event)` Called by the UserManager when a user logged on.
`void` | `userLoggedOut(UserEvent event)` Called by the UserManager when a user logged off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAdapter

    public UserAdapter()

Method Detail

### userLoggedIn

    public void userLoggedIn(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a user logged on.

  Specified by:
    `userLoggedIn` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the user who logged on

### userLoggedOut

    public void userLoggedOut(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a user logged off.

  Specified by:
    `userLoggedOut` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the user who logged off

### userCreated

    public void userCreated(UserEvent event)

  Description copied from interface: `UserListener`
  Called by the UserManager when a new user account has been created

  Specified by:
    `userCreated` in interface `UserListener`
  Parameters:
    `event` - the UserEvent object containing the new user account

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD